de.esprit.netsuite.server.db

## Class DatabaseConfigHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.netsuite.server.db.DatabaseConfigHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public class DatabaseConfigHandler
      extends NdfHandler

  This class fills the given `ServerDatabaseConfig` object with data read from the server config file `ServerConfigFile.DATASOURCE`.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, currentNdfDocVersion, defaultTextEndChar, defaultTextParagraphChar, lineCommentChar, ndfDocAuthorKey, ndfDocCreatedKey, ndfDocEncodingKey, ndfDocTypeKey, ndfDocVersionKey, nullLiteral, quotingBreakCodes, standardBreakCodes, structureChar, textValueBreakCodes, validTextBreakSymbols`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseConfigHandler(ServerDatabaseConfig dsConfig)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `foundTableRow(NdfStructure struct, int rowIndex, NdfProperties props)` Called when a table row was found within a table structure.
    `void` | `startDocument(NdfStructure struct, NdfProperties headerProps)` Called when document parsing is started.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, checkDocumentType, doneArray, doneDocument, doneList, doneObject, doneTable, doneText, foundArrayValue, foundArrayValue, foundListValue, foundListValue, foundProperties, foundTableCell, foundTableRow, foundText, foundText, getCurrentNestingLevel, getCurrentStructure, getDocAuthor, getDocCreated, getDocEncoding, getDocType, getDocVersion, getFileInfo, getLineNumber, getLogChannel, getMaxNestingLevel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startList, startObject, startTable, startText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseConfigHandler

          public DatabaseConfigHandler(ServerDatabaseConfig dsConfig)

  - ### Method Detail

    - #### startDocument

          public void startDocument(NdfStructure struct,
                           NdfProperties headerProps)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when document parsing is started. Note that the document header properties are already read before this call.
      Overrides:
        `startDocument` in class `NdfHandler`
        `headerProps` - the header properties found in the document
      Throws:
        `java.lang.Exception`

    - #### foundTableRow

          public void foundTableRow(NdfStructure struct,
                           int rowIndex,
                           NdfProperties props)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when a table row was found within a table structure. This method is called in `NotifyTableValue.AS_PROPERTIES` notification mode. It is quite expensive because it parses values the same way as property values. But it provides the convenience to extract values readily converted to the desired data type.
      Overrides:
        `foundTableRow` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.